Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim.dynamic
Class BearingMoveSpec

    java.lang.Object
      ix.isim.dynamic.BearingMoveSpec

All Implemented Interfaces:
  MoveSpec

    public class BearingMoveSpec

extends java.lang.Object
implements MoveSpec

Title: I-X Simple Object Animation Tool

Copyright: Copyright (c) 2005

Company: AIAI, University of Edinburgh

Constructor Summary
`BearingMoveSpec(java.io.StreamTokenizer st)`

Method Summary
`boolean` | `finished()`
`double` | `getCurrentLatitude()`
`double` | `getCurrentLongitude()`
`double` | `getSpeed()`
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BearingMoveSpec

    public BearingMoveSpec(java.io.StreamTokenizer st)
                    throws java.text.ParseException,
                           java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

Method Detail

### getSpeed

    public double getSpeed()

  Specified by:
    `getSpeed` in interface `MoveSpec`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### reset

    public void reset()

  Specified by:
    `reset` in interface `MoveSpec`

### getCurrentLatitude

    public double getCurrentLatitude()

  Specified by:
    `getCurrentLatitude` in interface `MoveSpec`

### getCurrentLongitude

    public double getCurrentLongitude()

  Specified by:
    `getCurrentLongitude` in interface `MoveSpec`

### finished

    public boolean finished()

  Specified by:
    `finished` in interface `MoveSpec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD